Assistants
AI assistant endpoints
GET
/assistants/v1/Retrieves all assistants available to the authenticated user
Authorization
ApiKeyAuth Authorization<token>
API key for authentication. Use 'Bearer ' format.
In: header
Header Parameters
Authorization*string
API key for authentication. Use 'Bearer ' format.
Response Body
application/json
application/json
curl -X GET "https://app.meingpt.com/api/assistants/v1/" \ -H "Authorization: Bearer sk_meingpt_..."{
"assistants": [
{
"id": "string",
"name": "string"
}
]
}{
"status": "error",
"message": "string"
}POST
/assistants/v1/{assistantId}/runExecutes an assistant with the provided messages and returns the assistant's response with tool calls and reasoning.
Alternatively, you can use multipart/form-data to include files. In that case, send messages as a JSON string and upload files via files.
Authorization
ApiKeyAuth Authorization<token>
API key for authentication. Use 'Bearer ' format.
In: header
Path Parameters
assistantId*string
The assistant ID
Header Parameters
Authorization*string
API key for authentication. Use 'Bearer ' format.
messages*array<>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.meingpt.com/api/assistants/v1/string/run" \ -H "Authorization: Bearer sk_meingpt_..." \ -H "Content-Type: application/json" \ -d '{ "messages": [ { "role": "system", "content": "string" } ] }'{
"text": "string",
"model": "string",
"messages": [
{}
],
"usage": {
"promptTokens": 0,
"completionTokens": 0
},
"citations": [
"string"
]
}{
"status": "error",
"message": "string"
}{
"status": "error",
"message": "string"
}{
"status": "error",
"message": "string"
}